# ndgrid

ndgrid is an open-source library written in Rust for n-dimensional grids/meshes.

## Using ndgrid
### Rust
You can use the latest release of ndgrid by adding the following to `[dependencies]` section of your Cargo.toml file:

```toml
ndgrid = "0.1.4"
```

### Python
You can install the latest release of ndgrid by running:

```bash
pip3 install ndgrid
```

## Documentation
The latest documentation of the main branch of this repo is available at [bempp.github.io/ndgrid/](https://bempp.github.io/ndgrid/).

## Testing
The functionality of the library can be tested by running:
```bash
cargo test
```

## Examples
Examples of use can be found in the [examples folder](examples/).

## Getting help
Errors in the library should be added to the [GitHub issue tracker](https://github.com/bempp/ndgrid/issues).

Questions about the library and its use can be asked on the [Bempp Discourse](https://bempp.discourse.group).

## Licence
ndgrid is licensed under a BSD 3-Clause licence. Full text of the licence can be found [here](LICENSE.md).
